Bug 1024646 - Bijiben import from tomboy/gnote does not work and breaks original note files
Bijiben import from tomboy/gnote does not work and breaks original note files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bijiben (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierre-Yves Luyten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 03:16 EDT by Michael Knepher
Modified: 2013-11-10 01:42 EST (History)
2 users (show)

See Also:
Fixed In Version: bijiben-3.10.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:42:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Knepher 2013-10-30 03:16:28 EDT
Description of problem:
Using the import notes functionality to import notes from gnote/tomboy appears to work at first (the notes show up in the window after they are imported, and can be viewed), but the notes are not actually imported into the bijiben note store (~/.local/share/bijiben) and the formatting of the original gnote/tomboy notes is altered - line breaks and formatting are removed.

Version-Release number of selected component (if applicable):
3.9.91-1.fc20

How reproducible:
Always

Steps to Reproduce:
1. Open bijiben ("Notes")
2. Select Notes -> Import Notes and select "Gnote application"
3. Notes appear in the bijiben window.
4. Close bijiben and reopen, and the imported notes are no longer there.
5. Run gnote, and open a note, and all linebreaks and formatting have been removed, meaning that the text of the note is all on the "title" line of the note.

Expected results:
Bijiben should not alter the original note files from the gnote or tomboy store. It should place new versions of the notes in the bijiben note store.

Additional info:
The latest version of bijiben from git master (3.10) appears to have addressed this issue. https://git.gnome.org/browse/bijiben/log/
Comment 1 Pierre-Yves Luyten 2013-10-30 05:32:49 EDT
Yes, the last build will fix the issue.

http://koji.fedoraproject.org/koji/buildinfo?buildID=471379
Comment 2 Fedora Update System 2013-11-03 03:44:22 EST
bijiben-3.10.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bijiben-3.10.1-1.fc20
Comment 3 Fedora Update System 2013-11-03 13:48:49 EST
Package bijiben-3.10.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bijiben-3.10.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20562/bijiben-3.10.1-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-11-10 01:42:05 EST
bijiben-3.10.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.